Bug 18173 - Remove issues.return
Summary: Remove issues.return
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-27 09:37 UTC by Jonathan Druart
Modified: 2017-12-07 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18173: Remove DB field issues.return (3.20 KB, patch)
2017-02-27 09:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18173: Remove DB field issues.return (3.45 KB, patch)
2017-03-06 10:28 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 18173: Remove DB field issues.return (3.45 KB, patch)
2017-03-06 10:29 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 18173: Remove DB field issues.return (3.54 KB, patch)
2017-03-07 13:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18173: DBIx schema changes (2.51 KB, patch)
2017-03-07 13:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-02-27 09:37:59 UTC
The DB field issues.return has never really been used apparently.
I found the first occurrence of this field in
commit eac3a7b19a8aa7cda34aac396f5093c213a4aa5a
CommitDate: Mon Mar 12 22:43:47 2001 +0000
    Database definition file, checked into cvs to make keeping database current easier

Since I did not find any use of this field.
I guess it can be removed safely.
Comment 1 Jonathan Druart 2017-02-27 09:44:14 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2017-03-06 10:28:52 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2017-03-06 10:29:29 UTC
Created attachment 60829 [details] [review]
Bug 18173: Remove DB field issues.return

The DB field issues.return has never really been used apparently.
I found the first occurrence of this field in
commit eac3a7b19a8aa7cda34aac396f5093c213a4aa5a
CommitDate: Mon Mar 12 22:43:47 2001 +0000
    Database definition file, checked into cvs to make keeping database
    current easier

Since I did not find any use of this field.
I guess it can be removed safely.

There is no proper test plan here. Just make sure this field has never
been used.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
I have not found any use of issues.return or old_issues.return. In
all my live instances the column is always NULL. Issuing and returning
seems to work as expected after the columns have been removed.
Comment 4 Marcel de Rooy 2017-03-07 13:31:44 UTC
Looking around for return:
offline_circ/process_koc.pl: 'return'  => \&kocReturnItem,
Definitely a bad choice for a hash key, but not relevant here.

From bug 16034 / Koha/ExternalContent/OverDrive.pm:
=item C<return($id)>
opac/svc/overdrive: $data{action} = eval { $od->return($id) };
A method called return ;) Not relevant too here.

Found nothing special with ->return or {return too.
Comment 5 Marcel de Rooy 2017-03-07 13:35:35 UTC
Created attachment 60870 [details] [review]
Bug 18173: Remove DB field issues.return

The DB field issues.return has never really been used apparently.
I found the first occurrence of this field in
commit eac3a7b19a8aa7cda34aac396f5093c213a4aa5a
CommitDate: Mon Mar 12 22:43:47 2001 +0000
    Database definition file, checked into cvs to make keeping database
    current easier

Since I did not find any use of this field.
I guess it can be removed safely.

There is no proper test plan here. Just make sure this field has never
been used.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
I have not found any use of issues.return or old_issues.return. In
all my live instances the column is always NULL. Issuing and returning
seems to work as expected after the columns have been removed.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2017-03-07 13:35:40 UTC
Created attachment 60871 [details] [review]
Bug 18173: DBIx schema changes

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2017-03-31 12:05:18 UTC
Pushed to master for 17.05, thanks Jonathan, Marcel!
Comment 8 Katrin Fischer 2017-04-02 16:57:05 UTC
This won't get ported back to 16.11.x as it is an enhancement.